[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# CipherIdea

Encrypt or decrypt a buffer.

## Declaration

Source position: idea.pp line 69

`procedure CipherIdea(`
`Input: TIdeaCryptData;`
`out outdata: TIdeaCryptData;`
`z: TIDEAKey`
`);`

## Arguments

`Input` |  | Data to be encrypted/decrypted
`outdata` |  | Decrypted/Encrypted data
`z` |  | Key to use for Encryption/Decryption

## Description

CipherIdea encrypts or decrypts a buffer with data (Input) using key z. The resulting encrypted or decrypted data is returned in Output.

## Errors

None.

## See also

EnKeyIdea |  | Create an IDEA encryption key from a user key.
DeKeyIdea |  | Create a decryption key from an encryption key.
TIDEAEncryptStream |  | IDEA encryption stream.
TIDEADecryptStream |  | IDEA Decryption stream.

Documentation generated on: Feb 26 2014